Qwt User's Guide: QwtArrowButton Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
QwtArrowButton Class Reference

Arrow Button. More...

`#include <qwt_arrow_button.h>`

Inheritance diagram for QwtArrowButton:

## Public Member Functions
| QwtArrowButton (int num, Qt::ArrowType, QWidget *parent=NULL)
virtual | ~QwtArrowButton ()
| Destructor.
Qt::ArrowType | arrowType () const
| The direction of the arrows.
int | num () const
| The number of arrows.
virtual QSize | sizeHint () const override
virtual QSize | minimumSizeHint () const override
| Return a minimum size hint.

## Protected Member Functions
virtual void | paintEvent (QPaintEvent *) override
virtual void | keyPressEvent (QKeyEvent *) override
| autoRepeat for the space keys
virtual void | drawButtonLabel (QPainter *)
| Draw the button label.
virtual void | drawArrow (QPainter *, const QRect &, Qt::ArrowType) const
virtual QRect | labelRect () const
virtual QSize | arrowSize (Qt::ArrowType, const QSize &boundingSize) const

## Detailed Description

Arrow Button.

A push button with one or more filled triangles on its front. An Arrow button can have 1 to 3 arrows in a row, pointing up, down, left or right.

Definition at line 23 of file qwt_arrow_button.h.

## Constructor & Destructor Documentation

## ◆ QwtArrowButton()

QwtArrowButton::QwtArrowButton | ( | int | num,
|  | Qt::ArrowType | arrowType,
|  | QWidget * | parent = NULL )
| explicit

Parameters

  num | Number of arrows
  arrowType | see Qt::ArrowType in the Qt docs.
  parent | Parent widget

Definition at line 55 of file qwt_arrow_button.cpp.

## ◆ ~QwtArrowButton()

QwtArrowButton::~QwtArrowButton | ( |  | ) |
| virtual

Destructor.

Definition at line 79 of file qwt_arrow_button.cpp.

## Member Function Documentation

## ◆ arrowSize()

QSize QwtArrowButton::arrowSize | ( | Qt::ArrowType | arrowType,
|  | const QSize & | boundingSize ) const
| protectedvirtual

Calculate the size for a arrow that fits into a rectangle of a given size

Parameters

  arrowType | Arrow type
  boundingSize | Bounding size

Returns
  Size of the arrow

Definition at line 296 of file qwt_arrow_button.cpp.

## ◆ arrowType()

Qt::ArrowType QwtArrowButton::arrowType | ( |  | ) | const

The direction of the arrows.

Definition at line 88 of file qwt_arrow_button.cpp.

## ◆ drawArrow()

void QwtArrowButton::drawArrow | ( | QPainter * | painter,
|  | const QRect & | r,
|  | Qt::ArrowType | arrowType ) const
| protectedvirtual

Draw an arrow int a bounding rectangle

Parameters

  painter | Painter
  r | Rectangle where to paint the arrow
  arrowType | Arrow type

Definition at line 215 of file qwt_arrow_button.cpp.

## ◆ drawButtonLabel()

void QwtArrowButton::drawButtonLabel | ( | QPainter * | painter | ) |
| protectedvirtual

Draw the button label.

Parameters

  painter | Painter

See also
  The Qt Manual for QPushButton

Definition at line 143 of file qwt_arrow_button.cpp.

## ◆ keyPressEvent()

void QwtArrowButton::keyPressEvent | ( | QKeyEvent * | event | ) |
| overrideprotectedvirtual

autoRepeat for the space keys

Definition at line 326 of file qwt_arrow_button.cpp.

## ◆ labelRect()

QRect QwtArrowButton::labelRect | ( |  | ) | const
| protectedvirtual

Returns
  the bounding rectangle for the label

Definition at line 104 of file qwt_arrow_button.cpp.

## ◆ minimumSizeHint()

QSize QwtArrowButton::minimumSizeHint | ( |  | ) | const
| overridevirtual

Return a minimum size hint.

Definition at line 268 of file qwt_arrow_button.cpp.

## ◆ num()

int QwtArrowButton::num | ( |  | ) | const

The number of arrows.

Definition at line 96 of file qwt_arrow_button.cpp.

## ◆ paintEvent()

void QwtArrowButton::paintEvent | ( | QPaintEvent * | event | ) |
| overrideprotectedvirtual

Paint event handler

Parameters

  event | Paint event

Definition at line 130 of file qwt_arrow_button.cpp.

## ◆ sizeHint()

QSize QwtArrowButton::sizeHint | ( |  | ) | const
| overridevirtual

Returns
  a size hint

Definition at line 259 of file qwt_arrow_button.cpp.